summaryrefslogtreecommitdiffhomepage
path: root/once/custom.sh
diff options
context:
space:
mode:
Diffstat (limited to 'once/custom.sh')
-rwxr-xr-xonce/custom.sh9
1 files changed, 6 insertions, 3 deletions
diff --git a/once/custom.sh b/once/custom.sh
index ace0e05..37958fd 100755
--- a/once/custom.sh
+++ b/once/custom.sh
@@ -16,15 +16,18 @@ chmod 0777 "$SYSROOT"/tmp || exit 2
mkdir -p "$SYSROOT"/var/log/ntctty || exit 2
chmod 0775 "$SYSROOT"/var/log/ntctty || exit 2
-if ! [ -f /bin/libnettle.so ]; then
+if ! [ -L /bin/libnettle.so ]; then
+ rm -f /bin/libnettle.so
ln -s libnettle.so.8 /bin/libnettle.so
fi
-if ! [ -f /bin/libtinfo.so ]; then
+if ! [ -L /bin/libtinfo.so ]; then
+ rm -f /bin/libtinfo.so
ln -s libtinfo.so.6 /bin/libtinfo.so
fi
-if ! [ -f /bin/libtinfow.so ]; then
+if ! [ -L /bin/libtinfow.so ]; then
+ rm -f /bin/libtinfow.so
ln -s libtinfow.so.6 /bin/libtinfow.so
fi